{% extends 'layout.html' %}{% load static %}
{% block scripts %}
  <script src="{% static 'teams-sso.js' %}"></script>
  <script src="{% static 'browser-sso.js' %}"></script>
  <script src="{% static 'sso.js' %}"></script>
  <script src="{% static 'myapp.js' %}"></script>
  <script>
    $(document).ready(async () => {
      const sso = new Sso(
        "{{is_authenticated_url}}",
        "{{authenticate_url}}",
        "{{fail_url}}",
        "{{teams_store_access_token_url}}",
        "{{teams_auth_start_url}}",
      );
      window.myApp = new MyApp(sso);
      await window.myApp.init();
    })
  </script>
{% endblock %}
{% block content %}
  <section id="init">
    <div>Loading…</div>
  </section>
  <header id="browser-header">
    <h1>Teams PoC Tab</h1>
  </header>
  <section id="teams-consent">
    <h2>Please consent to this app’s rights.</h2>
    <button class="consent">Consent</button>
  </section>
  <section id="content">
    <div class="profile">
      <h2>Your profile:</h2>
      <div></div>
    </div>
    <div class="users">
      <h2>First 10 users of your organisation:</h2>
      <ul></ul>
    </div>
  </section>
{% endblock %}
